Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		sane-backends
Version:	1.0.22
Release:	1
License:	GNU/GPL 
URL:		http://www.sane-project.org
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.gz
# fix missing pthreads include
Patch0:		sane-backends-1.0.20-missing-pthreads.patch
# readd removed SANE_CAP_ALWAYS_SETTABLE, xsane won`t build otherwise
Patch1:		sane-backends-1.0.20-readd-missing-cap.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Sane (Scanner Access Now Easy) Backends.
Requires:	gphoto2

BuildRequires: avahi-devel
BuildRequires: libv4l-devel
BuildRequires: dbus-devel
BuildRequires: pkg-config
# gphoto2 plugin needs old libusb
BuildRequires: libusb-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libexif-devel
BuildRequires: libgphoto2-devel
BuildRequires: libieee1284-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libusb1-devel
BuildRequires: zlib-devel

%description
SANE stands for Scanner Access Now Easy.
This package contains the SANE libraries (this means backends and
network scanning parts) and the command line frontend scanimage.
For more details see: http://www.sane-project.org

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}
Obsoletes:	%{name}-doc

%description	devel
Header and include files for developing applications with %{name}.

%pre
/usr/sbin/groupadd -g 106 scanner > /dev/null 2>&1 || :

%post
ldconfig

%postun
if [ $1 -eq 0 ]; then
/usr/sbin/groupdel scanner > /dev/null 2>&1 || :
fi

%triggerpostun -- sane-backends < 1.0.19-4
/usr/sbin/groupadd -g 106 scanner > /dev/null 2>&1 || :

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir \
--enable-static \
--enable-pthread \
--enable-locking \
--enable-libusb_1_0 \
--with-gphoto2 \
--enable-parport-directio \
--enable-avahi \
--disable-dependency-tracking \
--with-lockdir=%_localstatedir/lock/sane
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_datadir/sane
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
install -d $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 tools/udev/libsane.rules $RPM_BUILD_ROOT/etc/udev/rules.d/98-libsane.rules
cd tools/hotplug
cp libsane.usermap libusbscanner $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
mv $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT%_docdir
install -m 777 -d $RPM_BUILD_ROOT%_localstatedir/lock/sane


%files
%defattr(-,root,root)
%_sysconfdir/hotplug/usb/libsane.usermap
%_sysconfdir/hotplug/usb/libusbscanner
%_sysconfdir/sane.d/
%_sysconfdir/udev/rules.d/98-libsane.rules
%_bindir/gamma4scanimage
%_bindir/sane-find-scanner
%_bindir/scanimage
%_libdir/libsane.so.*
%_libdir/sane/*.so.*
%_sbindir/saned
%_datadir/locale/*/LC_MESSAGES/sane-backends.mo
%{_mandir}/man1/gamma4scanimage.1.gz
%{_mandir}/man1/scanimage.1.gz
%{_mandir}/man7/sane.7.gz
%{_mandir}/man8/saned.8.gz
%{_mandir}/*/sane-*gz
%dir %_localstatedir/lock/sane

%files devel
%defattr(-,root,root)
%_bindir/sane-config
%_libdir/libsane.so
%_libdir/libsane.a
%_libdir/libsane.la
%_libdir/sane/*.a
%_libdir/sane/*.la
%_libdir/sane/*.so
%_includedir/sane/
%_docdir/sane-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 21 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.0.22-1
- version update
* Tue Apr 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.21-1
- version update
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-4
- readded SANE_CAP_ALWAYS_SETTABLE
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.20-3
- enabled avahi support
- enabled pthread support
- enabled libusb1 support
- built against libjpeg 7
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.20-2
- rebuild against libtool-2.2.6
* Mon May 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.20-1
- Version update
- merge doc package into devel
- auto BR
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-4
- changed triggerin to triggerpostun to fix postun-tag from old package
* Fri Feb 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-3
- added triggerin
* Fri Feb 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.19-2
- fixed creation of group scanner
* Mon Feb 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.19-1
- Version update
* Sun Mar 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-3
- added "scanner" group
* Sun Mar 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.18-2
- added udev integration
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.18-1
- Version update, moved lockdir
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.16-2
- tweaked specfile, enabled static files, enabled parport scanner 
* Fri Sep 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.16-1
- Version Update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.15-4
- rebuild against latest libexif, gphoto, removed wrong obsoletes tag, refined files list
* Tue Feb 22 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.15-3
- adding more options for build process
* Tue Feb 22 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.15-2
- cleaning up specfile, added doc-package  
* Sun Feb 20 2005 Dieter Rethmeyer <dieter@rethmeyers.de> 1.0.15-1
- update from Version 1.0.13-1
- initial release
